/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Irradiation Event XRay Source Data
 */
public enum EnumCM_IrradiationEventXRaySourceData 
{
	//TID 10003B Irradiation Event XRay Source Data
	DOSE_RP("Dose(RP)"),
	REFERENCE_POINTDEFINITION("Reference PointDefinition"),
	AVERAGE_GLANDULAR_DOSE("Average Glandular Dose"),
	FLUORO_MODE("Fluoro Mode"),
	PULSE_RATE("Pulse Rate"),
	NUMBER_OF_PULSES("Number of Pulses"),
	DERIVATION("Derivation"),
	PULSEWIDTH("PulseWidth"),
	IRRADIATION_DURATION("Irradiation Duration"),
	KVP("KVP"),
	X_RAYTUBE_CURRENT("X-RayTube Current"),
	AVERAGE_X_RAY_TUBECURRENT("Average X-Ray TubeCurrent"),
	EXPOSURE_TIME("Exposure Time"),
	EXPOSURE("Exposure"),
	FOCAL_SPOT_SIZE("Focal Spot Size"),
	ANODE_TARGET_MATERIAL("Anode Target Material"),
	XRAY_FILTERS("Xray Filters"),
	X_RAYFILTER_TYPE("X-RayFilter Type"),
	X_RAY_FILTER_MATERIAL("X-Ray Filter Material"),
	X_RAY_FILTER_THICKNESS_MINIMUM("X-Ray Filter Thickness Minimum"),
	X_RAY_FILTER_THICKNESS_MAXIMUM("X-Ray Filter Thickness Maximum"),
	COLLIMATED_FIELD_AREA("Collimated Field Area"),
	COLLIMATED_FIELD_HEIGHT("Collimated Field Height"),
	COLLIMATED_FIELD_WIDTH("Collimated Field Width"),
	X_RAY_GRID("X-Ray Grid"),
	
;
	private String value;
	
	EnumCM_IrradiationEventXRaySourceData(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}